--Verifica tutti i clienti della APPO_CONTRATTI se hanno la nota fai
--per il singolo cliente [C6StagingPeriodico].[ClienteProdottiAssicurativiVita] 'F','BBNNLL48T52E730L'
CREATE procedure [C6StagingPeriodico].[ClienteProdottiAssicurativiVita_Totali]
as
drop table if exists #assicurativi
SELECT distinct rete,cod_fiscale,count(*) as conta
into #assicurativi
from C6MartPeriodico.PATRIMONIO_BF bf
inner join C6STAGINGPERIODICO.RP_CATALOGOPRODOTTI KAT
on bf.COD_PRODOTTO = kat.CatalogueID
where kat.Alberatura in (7,8,9) and
	bf.rete+bf.cod_fiscale in (select rete+COD_FISCALE from C6StagingPeriodico.APPO_CONTRATTI)
group by rete,COD_FISCALE
	select a.rete,a.COD_FISCALE,
	case when f.conta is null then 'NO' 
	else 'SI' end as ASSICURATIVI
	from C6stagingPeriodico.APPO_CONTRATTI a left join #assicurativi f on a.rete+a.COD_FISCALE=f.RETE+f.COD_FISCALE